GET /classification_inclusions

art19.com

Summary: Get ClassificationInclusion records
Operation ID:
Auth: api_key
Description

Classification Inclusions connect classifications with entities like series, episodes, or campaigns, amongst others. In order to retrieve a set of classification inclusions, at least one of the following filter parameters must be provided. Failing to do so renders a `400 Bad Request` response. - `ids[]` - `classified_id` and `classified_type` - `classified_id` and `classification_type` - `classification_id` and `classified_type`

Parameters (9)

classification_id (string, query, optional)

Limit the result to classification inclusions linked to a classification with this ID.

classification_type (string, query, optional)

The type of classification that the classification inclusions are linked to. Depending on the permissions of your credential, only a subset of these types are usable.

Constraints: {'enum': ['AlternateFeedType', 'Genre', 'Industry', 'Language', 'MediaRating']}

classified_id (string, query, optional)

Limit the result to classification inclusions linked to a resource with this ID. You will have to use this filter together with either `classified_type` or `classification_type`.

classified_type (string, query, optional)

Limit the result to classification inclusions linked to this type of entity.

Constraints: {'enum': ['Series', 'Season', 'Episode']}

ids[] (array, query, optional)

The list of IDs to filter by. Repeat this parameter for each ID you want to include in the filter. The brackets *MUST* be percent-encoded, per the requirements in [RFC 3986 § 3.4](https://tools.ietf.org/html/rfc3986#section-3.4).

page[number] (integer, query, optional)

Select which page number to receive results for. Pages are numbered starting at 1.

Constraints: {'minimum': 1}

page[size] (integer, query, optional)

Indicate how many records to return per page. The maximum is 100.

Constraints: {'minimum': 1, 'maximum': 100}

q (string, query, optional)

Limit the result to classification inclusions linked to a classification containing the parameter value disregarding case.

sort (array, query, optional, default: created_at)

Specify how to sort the result. Please refer to either the top section or the [JSON:API specification](https://jsonapi.org/format/#fetching-sorting) on how sorting works in general.

No probe data for this endpoint yet.